main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.about, name='home'),
    path('about', views.about, name='about'),
    path('gallery', views.gallery, name='gallery'),
    path('experience', views.exp, name='exp'),
    path('contact', views.contact, name='contact'),
    path('meetme', views.meetme, name='meetme'),

]

ppwew4/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('', include('story1.urls')),
]

story1/urls.py
from django.urls import path

from . import views

app_name = 'story1'

urlpatterns = [
    path('home', views.home, name='home'),
]

main/models.py
from django.db import models

# Create your models here.

story1/models.py
from django.db import models

# Create your models here.

main/views.py
from django.shortcuts import render


def home(request):
    return render(request, 'main/about.html')

def about(request):
    return render(request, 'main/about.html')

def gallery(request):
    return render(request, 'main/gallery.html')

def exp(request):
    return render(request, 'main/exp.html')

def contact(request):
    return render(request, 'main/contact.html')

def meetme(request):
    return render(request, 'main/hi.html')

story1/views.py
from django.shortcuts import render

# Create your views here.


def home(request):
    return render(request, 'index.html')

main/templates/main/about.html
{% extends 'base_layout.html' %}
{% load static %}
{% block title %}About me - Ikhsan Abdillah{% endblock %}

{% block content %}
            <div id="navbar">
                <a class="active" href="{% url 'main:about' %}">About me</a>
                <a href="{% url 'main:gallery' %}">Gallery</a>
                <a href="{% url 'main:exp' %}">Experiences</a>
                <a href="{% url 'main:contact' %}">Contact</a>
            </div>
            <h3>I love doing graphic design, but also love to develop websites.</h3>
            <p><b>NPM :</b> 1906398830</p>
            <p><b>Hobi :</b> Game, Drawing</p>
            <p><b>Tempat kuliah :</b> Universitas Indonesia</p>
            <p><b>Riwayat pendidikan :</b></p>
                <ul>
                    <li>SMKN 1 Kota Serang (Multimedia)	| 2016 - 2019</li>
                    <li>SMPN 5 Kota Serang	| 2013 - 2016</li>
                    <li>SDN Kasemen	| 2007 - 2013</li>
                </ul>
                <a href="{% url 'story1:home' %}" class="btn btn-primary mb-2 tombol">Story 1</a>
{% endblock %}

main/templates/main/contact.html
{% extends 'base_layout.html' %}
{% load static %}
{% block title %}Contact - Ikhsan Abdillah{% endblock %}

{% block content %}
            <div id="navbar">
                <a href="{% url 'main:about' %}">About me</a>
                <a href="{% url 'main:gallery' %}">Gallery</a>
                <a href="{% url 'main:exp' %}">Experiences</a>
                <a class="active" href="{% url 'main:contact' %}">Contact</a>
            </div>
            <h3>For business inquiry, contact me to these accounts</h3>
            <ul>
                <li>Facebook : Muhammad Ikhsan Abdillah</li>
                <li>Instagram : ikhsan525</li>
                <li>LINE : ikhsan_525</li>
                <br>
                <li>ikhsan.abdillah525@gmail.com</li>
                <li>0896-1535-6534</li>
            </ul>
            <a href="{% url 'main:meetme' %}" class="btn btn-primary mb-2 tombol">Wanna meet ?</a>
{% endblock %}

main/templates/main/exp.html
{% extends 'base_layout.html' %}
{% load static %}
{% block title %}Experiences - Ikhsan Abdillah{% endblock %}

{% block content %}
            <div id="navbar">
                <a href="{% url 'main:about' %}">About me</a>
                <a href="{% url 'main:gallery' %}">Gallery</a>
                <a class="active" href="{% url 'main:exp' %}">Experiences</a>
                <a href="{% url 'main:contact' %}">Contact</a>
            </div>
            <h3>As a student, im quite active</h3>
            <p>Pengalaman berorganisasi :</p>
            <ul>
                <li>Member of Japanese Studying Club</li>
                <li>Member of Fasilkom Social Project ‘19</li>
                <li>Visual Design Staff of Perak Fasilkom</li>
                <li>Head of Media Buerau of BEM Fasilkom</li>
            </ul>
{% endblock %}

main/templates/main/gallery.html
{% extends 'base_layout.html' %}
{% load static %}
{% block title %}Gallery - Ikhsan Abdillah{% endblock %}

{% block content %}
            <div id="navbar">
              <a href="{% url 'main:about' %}">About me</a>
              <a class="active" hhref="{% url 'main:gallery' %}">Gallery</a>
              <a href="{% url 'main:exp' %}">Experiences</a>
              <a href="{% url 'main:contact' %}">Contact</a>
            </div>
            <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img class="d-block w-100" src="static/img/gallery/1.jpg" alt="First slide">
                    </div>
                    <div class="carousel-item">
                        <img class="d-block w-100" src="static/img/gallery/2.jpg" alt="Second slide">
                    </div>
                    <div class="carousel-item">
                        <img class="d-block w-100" src="static/img/gallery/3.jpeg" alt="Third slide">
                    </div>
                </div>
                <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="sr-only">Previous</span>
                </a>
                <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="sr-only">Next</span>
                </a>
            </div>
{% endblock %}

main/templates/main/hi.html
{% extends 'base_layout.html' %}
{% load static %}
{% block title %}Experiences - Ikhsan Abdillah{% endblock %}

{% block avatar %} {% endblock %}
{% block content %}
<div id="message-box">
    <div style="margin-bottom: 20px;">
        <h3>Appoint a meeting with me</h3>
        <p>I'll e-mail / contact you my response. </p>
    </div>
    
    <form action="about.html" method="GET">
        
        <input type="text" class="form-control" id="exampleFormControlInput1" placeholder="Your name, type it here">
        <div class="form-row">
            <div class="col">
                <input type="text" class="form-control" placeholder="Your email">
            </div>
            <div class="col">
                <input type="text" class="form-control" placeholder="Phone number">
            </div>
        </div>
        
        <label for="InputTanggal">When you wanna meet ?</label>
        <input class="tanggal" id="InputTanggal" type="date" value="tanggal">

        <label for="textareaa">Any message ?</label>
        <textarea class="form-control" id="textareaa" rows="3"></textarea>
        <input class="tombol" type="submit" value="Send it !">
    </form>

</div>
<a href="{% url 'main:contact' %}" class="tombol" style="align-self: flex-end;">Go back</a>
{% endblock %}

main/templates/main/home.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
  <h1>Hello, world!</h1>
  <p><img src="{% static 'img/django-logo-negative.svg' %}"></p>
{% endblock content %}

story1/templates/index.html
<!DOCTYPE html>
<html>
<head>
<title>My Personal Page</title>
</head>
<body>
<h1>Welcome to My Personal Page !</h1>
<p>Nama : Muhammad Ikhsan Abdillah</p>
<p>NPM : 1906398830</p>
<p>Hobi : Game, Drawing</p>
<p>Deskripsi : More right-brained than left,</p>
<p>Tempat kuliah : Universitas Indonesia</p>
<p>Foto : </p>
<img src="static/img/3x4.jpg" alt="3x4 pas foto" style="width:200px;height:auto;">
<p>Riwayat pendidikan : SMKN 1 Kota Serang (Multimedia)</p>
<p>Media Sosial : @ikhsan525 (instagram), ikhsan_525 (line)</p>

</body>
</html>

templates/base_layout.html
<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="static/style.css">
    <link href='https://fonts.googleapis.com/css?family=Open Sans' rel='stylesheet'>
    <link href='https://fonts.googleapis.com/css?family=Open Sans:700,800' rel='stylesheet'>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>{% block title %}{% endblock %}</title>
</head>
<body>
    <div id="main-box">
        {% block avatar %}
        <div id="pic-box">
            <p style="text-align:center; margin:20px 0">Hello, my name is</p>
            <img src="static/img/3x4.jpg" alt="My recent picture" class="pic">
            <p style="font-size: 24px; text-align: center; width: 270px; margin:auto ;">Muhammad Ikhsan Abdillah</p>
        </div>
        {% endblock %}
        <div id="content-box">
            {% block content %}
            
            {% endblock %}
        </div>
    </div>

<!-- JScripts -->
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

</body>
</html>